Public Class Alfa

    Private Sub iChar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button0.Click, Button1.Click, Button2.Click, Button3.Click, Button4.Click, Button5.Click, Button6.Click, Button7.Click, Button8.Click, Button9.Click, Button10.Click, Button11.Click, Button12.Click, Button13.Click, Button14.Click, Button15.Click, Button16.Click, Button17.Click, Button18.Click, Button19.Click, Button20.Click, Button21.Click, Button22.Click, Button23.Click, Button24.Click, Button25.Click, Button26.Click, Button27.Click, Button28.Click, Button29.Click, Button30.Click, Button31.Click, Button32.Click, Button33.Click, Button34.Click, Button35.Click, Button36.Click

        If sender.text = "none" Then
            Me.Hide()
            Exit Sub
        End If

        If WCi = 1 Then
            'form1.imaincat.text = sender.text
            EF23.iMainCat.Text = sender.text

        ElseIf WCi = 2 Then
            EF23.iSubCat.Text = sender.text
        ElseIf WCi = 3 Then
            EF23.iCat.Text = sender.text
        End If

        Me.Hide()

    End Sub

    Private Sub Button31_Click(sender As Object, e As EventArgs) Handles Button31.Click

    End Sub

    Private Sub Button5_Click(sender As Object, e As EventArgs) Handles Button5.Click

    End Sub
End Class